#include "config.h"
#include <X11/X.h>
#include <X11/Xlib.h>
#include "atoms.h"

char *atom_names[] = {
	/* clients */
	"KWM_WIN_ICON",
	"WM_STATE",
	"_MOTIF_WM_HINTS",
	"_NET_WM_STATE",
	"_NET_WM_STATE_SKIP_TASKBAR",
	"_NET_WM_STATE_SHADED",
	"_NET_WM_DESKTOP",
	"_NET_WM_WINDOW_TYPE",
	"_NET_WM_WINDOW_TYPE_DOCK", /* 8 */
	"_NET_WM_STRUT",
	"_WIN_HINTS",
	/* root */
	"_NET_CLIENT_LIST",
	"_NET_NUMBER_OF_DESKTOPS",
	"_NET_CURRENT_DESKTOP",
	"_PA_AVAILABLE",
	"_NET_WM_PID"
};

#define ATOM_COUNT (sizeof(atom_names)/sizeof(atom_names[0]))

Atom atoms[ATOM_COUNT];

void LoadAtoms(Display *pDisplay)
{
  XInternAtoms(pDisplay,atom_names,ATOM_COUNT,False,atoms);
}
